Bug 114831 - Production install should come with a log4j.properties in the config directory
Production install should come with a log4j.properties in the config directory
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-03 08:05 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 11:47:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-02-03 08:05:13 EST
Description of problem:
The default log4.properties file for production installations is
hidden away inside the JAR for CCM-Core. This makes it practically
impossible for novice users to figure out how to alter the debugging
levels & this makes remote diagnosis for PS teams very difficult. Thus
we should deploy the core log4j.properties file as a plain file to
somewhere likle /etc/ccm/conf and ensure that this directory comes
first in the CLASSPATH.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dennis Gregorovic 2004-02-04 01:27:00 EST
@40036
Comment 2 Dennis Gregorovic 2005-03-17 11:47:30 EST
closing old tickets

Note You need to log in before you can comment on or make changes to this bug.